/*
================================================================================
Ce programme affiche du texte sur l'écran TFT de la carte ESPLORA
de la manière la plus simple possible.
Le texte est alternativement écrit en couleur ou blanc puis 
effacé par réécriture en noir.
 
 Laurent Coutelier
 Lycée Monge La chauvinière
 Nantes
 23/12/13
*/

// Importation des bibliothèques 
#include <Esplora.h> // Pour la carte ESPLORA
#include <SPI.h>  // Pour le bus SPI
#include <TFT.h>  // Pour l'écran TFT

void setup(){
  EsploraTFT.begin();  // Pour démarrer l'écran TFT
  EsploraTFT.background(0,0,0);  // mise en place du fond noir
}

void loop(){
  EsploraTFT.stroke(0,255,255);
  EsploraTFT.text("Vite, a boire !", 20, 10);
  EsploraTFT.stroke(0,0,0);
  EsploraTFT.text("J'ai soif !", 20, 20);
  delay(500);
  EsploraTFT.stroke(0,0,0);
  EsploraTFT.text("Vite, a boire !", 20, 10);
  EsploraTFT.stroke(255,255,255);
  EsploraTFT.text("J'ai soif !", 20, 20);
  delay(500);
}






