/*
================================================================================
 Ce programme affiche des points aux 4 coins de l'écran TFT de la carte ESPLORA.
 
 Laurent Coutelier
 Lycée Monge La chauvinière
 Nantes
 25/12/13
 */

// Importation des bibliothèques 
#include <Esplora.h> // Pour la carte ESPLORA
#include <SPI.h>  // Pour le bus SPI
#include <TFT.h>  // Pour l'écran TFT

void setup(){

  EsploraTFT.begin();  // Pour démarrer l'écran TFT
  EsploraTFT.background(0,0,0);  // mise en place du fond noir
  EsploraTFT.stroke(255,255,255);  // traits et texte en blanc
  EsploraTFT.point(0,0); //tracé de point
  EsploraTFT.point(159,127); //tracé de point  
  EsploraTFT.point(0,127); //tracé de point
  EsploraTFT.point(159,0); //tracé de point    
  EsploraTFT.point(159,127); //tracé de point
  EsploraTFT.point(159/2,127/2); //tracé de point  
}


void loop(){
}

