/*
================================================================================
 Ce programme donne une image de l'équation z = x.y (cacul de la surface d'un rectangle)
 avec z en niveau de gris pou x (et y) compris entre 0 et 159 (et 127).
 
  
 Laurent Coutelier
 Lycée Monge La chauvinière
 Nantes
 Nantes
 2/01/14
 */

// Importation des bibliothèques 
#include <Esplora.h> // Pour la carte ESPLORA
#include <SPI.h>  // Pour le bus SPI
#include <TFT.h>  // Pour l'écran TFT

long  z;

void setup(){
  //Serial.begin(9600);
  EsploraTFT.begin();            // démarrage de l'écran TFT
  EsploraTFT.background(0,0,0);  // mise en place du fond noir

  for (long x=0; x<160; x++){
    for (long y=0; y<128; y++){
      z = x*y*255/(159*127) ;
      EsploraTFT.stroke(z,z,z); // niveau de gris pour z
      EsploraTFT.point(x,y);  // tracé du point
    } 
  }
}

void loop(){



}


