/*
================================================================================
Ce programme affiche la valeur de la mesure du capteur de lumière
sur le terminale série du logiciel Arduino
 
 Laurent Coutelier
 Lycée Monge La chauvinière
 Nantes
 23/12/13
*/

// Importation des bibliothèques 
#include <Esplora.h> // Pour la carte ESPLORA

void setup()
{
  Serial.begin(9600);        // initialize serial communications with your computer
} 

void loop()
{
  Serial.print("light: "); 
  Serial.println(Esplora.readLightSensor());        // print the light sensor value

  Serial.print("Potlin: ");   
  Serial.println(Esplora.readSlider());       // print the line sensor value
  Serial.println();
  delay(500); // Pause syndicale obligatoire (Ce type d'écriture est à proscrire même si elle est 
              // très pratique...).
}

