/*
================================================================================
Ce programme montre les limites de la fonction println() ou print()
sur l'écran de l'Esplora. Il vaut mieux éviter ces foncions.
Une fois arrivé en bas, l'affichage continu, mais en dehors de l'écran.
Il faut que la limite soit atteinte pour que l'affichage arrive de 
nouveau en haut.
 
 Laurent Coutelier
 Lycée Monge La chauvinière
 Nantes
 23/12/13
*/

// Importation des bibliothèques 
#include <Esplora.h> // Pour la carte ESPLORA
#include <SPI.h>  // Pour le bus SPI
#include <TFT.h>  // Pour l'écran TFT

void setup(){
  EsploraTFT.begin();  // Pour démarrer l'écran TFT
  EsploraTFT.background(0,0,0);  // mise en place du fond noir
  EsploraTFT.stroke(255,255,255); // texte et traits en blanc
}

void loop(){
  for(int i=1;i<10;i++){
    EsploraTFT.print("i=");
    EsploraTFT.println(i);
  }
    delay(500);
    EsploraTFT.background(0,0,0);
/*même avec l'effacement de l'ecran, le problème demeure
l'affichage continu à la suite de la dernière ligne*/
}








