/*
================================================================================
 Ce programme affiche un rectangle de 10x30 au centre de l'écran TFT de la carte 
 ESPLORA. Le bord du rectangle en blanc et le coloriage en bleu.
 
 Laurent Coutelier
 Lycée Monge La chauvinière
 Nantes
 25/12/13
 */

// Importation des bibliothèques 
#include <Esplora.h> // Pour la carte ESPLORA
#include <SPI.h>  // Pour le bus SPI
#include <TFT.h>  // Pour l'écran TFT

void setup(){
int xwidth=10, ywidth=20; // dimensions du rectangle
  
  EsploraTFT.begin();  // Pour démarrer l'écran TFT
  EsploraTFT.background(0,0,0);  // mise en place du fond noir
  EsploraTFT.stroke(255,255,255);  // traits et texte en blanc
  EsploraTFT.fill(0,0,255); // coloriage en bleu
  EsploraTFT.rect((159-xwidth)/2, (127-ywidth)/2, xwidth, ywidth);  // position du coin haut gauche du rectangle 
}

void loop(){
}

