/*
================================================================================
 Ce programme joue des mélodies sur la carte ESPLORA
 Les notes sont prédéfinies, les durées de note aussi.
 Il faut mettre des pauses (delay()) si on veut voir les durées des notes respectées
 sauf pour la dernière.
 
 Laurent Coutelier
 Lycée Monge La chauvinière
 Nantes
 02/01/14
 */

// Importation des bibliothèques 
#include <Esplora.h> // Pour la carte ESPLORA
//#include <SPI.h>  // Pour le bus SPI
//#include <TFT.h>  // Pour l'écran TFT

#define do2 130.81
#define do3 261.63
#define re3 293.66
#define mi3 329.63
#define sol2 196

#define noire 500
#define blanche 1000


void setup(){
  //Serial.begin(9600);        // initialize serial communications with your computer
  // rencontre du 3ème type de Spelberg !!!!
  Esplora.tone(re3, noire);
  delay(noire);
  Esplora.tone(mi3, noire);
  delay(noire);
  Esplora.tone(do3, noire);
  delay(noire);
  Esplora.tone(do2, noire);
  delay(noire);
  Esplora.tone(sol2, blanche);
  delay(blanche);

  delay(500);

  // au clair de la lune
  Esplora.tone(do3, noire);
  delay(noire);
  Esplora.noTone();// Arrêt du buzzer pour la coupure entre de même note
  Esplora.tone(do3, noire);
  delay(noire);
  Esplora.noTone();// Arrêt du buzzer pour la coupure entre de même note
  Esplora.tone(do3, noire);
  delay(noire);
  Esplora.noTone();// Arrêt du buzzer pour la coupure entre de même note
  Esplora.tone(re3, noire);
  delay(noire);
  Esplora.tone(mi3, blanche);
  delay(blanche);
  Esplora.tone(re3, blanche);
  delay(blanche);
  Esplora.tone(do3, noire);
  delay(noire);
  Esplora.tone(mi3, noire);
  delay(noire);
  Esplora.tone(re3, noire);
  delay(noire);
  Esplora.noTone();// Arrêt du buzzer pour la coupure entre de même note
  Esplora.tone(re3, noire);
  delay(noire);
  Esplora.tone(do3, noire);
  delay(noire);
}

void loop()
{
}

